Slot

The Slot resource represents timeslots in a practitioner's schedule that are used to book or hold an appointment.

Endpoints

EndpointOperationDescription
GET /main/SlotList SlotsRetrieves a collection of time intervals that are available for booking appointments within a specific schedule
GET /main/Slot/{id}Show SlotRetrieves an individual time interval available for booking appointments within a specific schedule

Schema

PropertyDescription
schedule

array of objects

The schedule that contains this slot

"reference": "/main/Schedule/{id}"

"type": "Schedule"

See also: Schedule

status

string
The availability status of this slot

e.g. "free" "busy"

See also: Slot status

startdate-time
The date and time that the slot begins
enddate-time
The date and time that the slot ends
overbookedboolean
If true, appointments cannot be made during this time
actor

array of objects
Identifiers of the practitioner that this schedule is for

Practitioner
The practitioner ID within the practice group

"reference": "/main/Practitioner/PR-1234567"

"type": "Practitioner"

Organization
The clinic location

"reference": "/main/Organization/CL-123456"

"type": "Organization"

PractitionerRole
The practitioner ID for this clinic location

"reference": "/main/PractitionerRole/PR-1234567"

"type": "PractitionerRole"